DNF5-UPGRADE(8)

NUME
dnf5-upgrade - comanda «upgrade»

SINOPSIS

dnf5 upgrade [opțiuni] [<-NPFB-specificație-pachet>|@<specificație-grup>|@<specificație-mediu>...]

DESCRIERE

Comanda upgrade din DNF5 este utilizată pentru actualizarea pachetelor, grupurilor sau mediilor instalate la cea mai nouă versiune disponibilă.

Deoarece grupurile și mediile nu au versiuni, actualizarea înseamnă practic o sincronizare cu definiția disponibilă în prezent. În plus, actualizarea grupului actualizează și toate pachetele pe care le conține grupul, iar actualizarea mediului actualizează și toate grupurile pe care le conține mediul.

OPȚIUNI

--minimal
    Actualizează pachetele numai la cele mai mici versiuni disponibile care corectează avizele de tip „bugfix”, „enhancement”, „security” sau „newpackage”. În cazul în care se utilizează orice opțiune de limitare a avizelor, aceasta actualizează pachetele numai la cele mai mici versiuni care corectează avizele care corespund proprietăților avizului selectat

--allowerasing
    Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.

--skip-unavailable
    Permite omiterea pachetelor care nu pot fi actualizate. Toate pachetele rămase vor fi actualizate.

--allow-downgrade
    Activează retrogradarea dependențelor la rezolvarea operației solicitate.

--no-allow-downgrade
    Dezactivează retrogradarea dependențelor la rezolvarea operației solicitate.

--destdir=<ruta>
    Stabilește directorul utilizat pentru descărcarea pachetelor. Locația implicită este directorul de lucru curent.
    Definește automat opțiunea downloadonly.

--installed-from-repo=ID_DEPOZIT,...
    Filtrează pachetele instalate după ID-ul depozitului din care au fost instalate.

--from-repo=ID_DEPOZIT,...
    Pachetele (sau furnizorii acestora) specificate explicit în linia de comandă vor fi căutate numai în depozitele specificate.
    Aceste depozite sunt activate automat.
    Activarea și dezactivarea depozitelor se aplică în continuare. Dependențele acestor pachete vor fi rezolvate din orice depozit activat.

--downloadonly
    Operația va descărca doar pachetele pentru tranzacție.

--offline
    Stochează tranzacția care urmează să fie efectuată fără conexiune„offline”. A se vedea dnf5-offline(8), Comanda offline.

--advisories=NUME_AVIZ,...
    Include conținutul conținut în avize cu numele specificat.
    Aceasta este o opțiune de listă.
    Valorile așteptate sunt ID-urile avizelor, de exemplu FEDORA-2201-123.
    Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz existent în listă; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

--advisory-severities=GRAVITATE_AVIZ,...
    Include conținutul conținut în avize cu severitatea specificată.
    Aceasta este o opțiune de listă.
    Valorile acceptate sunt: critical, important, moderate, low (scăzută), none (niciuna).

--bzs=ID_BUGZILLA,...
    Include conținutul conținut în avize care corectează un tichet cu ID-ul Bugzilla dat.
    Aceasta este o opțiune de listă.
    Valorile așteptate sunt ID-uri numerice, de exemplu 123123.
    Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

--cves=ID_CVE,...
    Include conținutul conținut în avize care fixează un tichet cu ID-ul CVE (Common Vulnerabilities and Exposures) dat.
    Aceasta este o opțiune de listă.
    Valorile așteptate sunt șiruri de ID-uri în format CVE, de exemplu CVE-2201-0123.
    Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

--security
    Include conținutul conținut în avizele de securitate.

--bugfix
    Include conținutul conținut în avizele de remediere a erorilor.

--enhancement
    Include conținutul conținut în avizele de îmbunătățire.

--newpackage
    Include conținutul conținut în avizele de pachete noi.

EXEMPLE

dnf5 upgrade
    Actualizează toate pachetele instalate la cea mai recentă versiune disponibilă.

dnf5 upgrade tito
    Actualizează pachetul tito.

CONSULTAȚI ȘI
dnf5-advisory(8), Advisory command
dnf5-specs(7), Patterns specification

AUTOR
A se vedea AUTHORS.md în distribuția sursei dnf5.

DREPTURI DE AUTOR
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.